Bug 531040 - Review Request: jsmath-fonts - A collection of Math symbol fonts
Summary: Review Request: jsmath-fonts - A collection of Math symbol fonts
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nicolas Mailhot
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-26 15:53 UTC by Rex Dieter
Modified: 2010-04-09 04:26 UTC (History)
2 users (show)

Fixed In Version: jsmath-fonts-20090708-2.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-30 02:13:53 UTC
nicolas.mailhot: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)
repo-font-audit report for this package (7.72 KB, application/x-xz)
2009-11-13 11:29 UTC, Nicolas Mailhot
no flags Details

Description Rex Dieter 2009-10-26 15:53:17 UTC
Spec URL: http://rdieter.fedorapeople.org/rpms/jsMath-fonts/jsMath-fonts.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/jsMath-fonts/jsMath-fonts-0.0-1.fc12.src.rpm
Description:
A collection of Math symbol fonts.

Usable by wxMaxima, see bug #530915

Comment 1 Nicolas Mailhot 2009-11-03 21:04:25 UTC
1. Please use a lowercase package name as per Fedora font packaging guidelines
http://fedoraproject.org/wiki/Packaging:FontsPolicy#Naming

2. Please use the font packaging templates in fontpackages-devel as per Fedora font packaging guidelines
http://fedoraproject.org/wiki/Packaging:FontsPolicy#Technical_implementation

(otherwise no font metadata will be generated at build time; note that it won't work on mixed case packages)

3. Please check what repo-font-audit says about your package,

 a. install fontpackages-tools from
    http://koji.fedoraproject.org/koji/buildinfo?buildID=139320
 b. put your rpms in a dir
 c. run createrepo on it
 d. run repo-font-audit test file://absolute-path-to-the-dir

it will catch this kind of mistake (also identify other problems that need to be relayed upstream)

4. the font splitup and naming seems a giant pre-unicode pre-wws mess. the different files are probably all parts of the same font family, except they're not properly named and their symbols not properly mapped at the right unicode points (granted, some math codepoints are only being standardised today thanks to the nice work of the stix project). For this reason, it's probably  better to suff all the files in the same package, and not create a subpackage for each of them (you gotta love when upstreams decide to create their own non-standard conventions to confuse everyone else)

5. a fontconfig file would be nice, if only to document the font should be put at a very low priority in fontconfig stacks (but since fontconfig relies on font naming, and this font naming is weird, that may not be sufficient)

6. Please check with spot this font is not on his TEX blacklist

7. When there is no obvious version in a font set we usually use the timestamp of the most recent font file in the archive upstream released as version

8. Other font packages use User Interface/X as group (which is arguably not ideal, but not worth creating inconsistencies with other packages)

9. If you wanted to package this for non-fedora distros such as epel, it'd probably be more effective to push fontpackages there than add conditionals in specs. Pushing fontpackages is not difficult you only need to :
1. put back in the spec templates the warts that could be removed in Fedora thanks to recent rpm enhancements
2. check the yum-utils is recent enough to run repo-font-audit (else remove this part)
3. check the fontconfig is recent enough to accept split config files in /etc/fonts/conf.d (else remove the fontconfig templates)

fontpackages has few deps, only the templates included in it depend on particular enhancements and need "porting"

Comment 2 Rex Dieter 2009-11-09 19:55:23 UTC
Oh boy, ok, here's a start anyway,

%changelog
* Mon Nov 09 2009 Rex Dieter <rdieter@fedoraproject.org> 20090708-1
- lower case pkg name
- Version: 20090708 (time stamp of newest included font)
- use fontpackages-devel
- drop subpkg baggage
- Group: User Interface/X


SPEC: http://rdieter.fedorapeople.org/rpms/jsMath-fonts/jsmath-fonts.spec
SRPM:
http://rdieter.fedorapeople.org/rpms/jsMath-fonts/jsmath-fonts-20090708-1.fc12.src.rpm

Comment 3 Rex Dieter 2009-11-09 20:04:47 UTC
Adjusting summary.

Comment 4 Nicolas Mailhot 2009-11-13 11:27:55 UTC
/me cries for all the ifdefing

At this point you should use the simple font template. The multi style of packaging is only useful if you produce more than one font subpackage

That's probably the only thing needed to bring it to "good enough" level of packaging. Though you will receive regularly packaging alerts because of the non-standard font naming (see attached file, the only pure packager alert is test #3 and it's a consequence of this font set state ; the rest needs relaying upstream)

I hope STIX finally publishes a non-beta version so we can tell TeXies to drop this kind of gross legacy font hack

Comment 5 Nicolas Mailhot 2009-11-13 11:29:36 UTC
Created attachment 369405 [details]
repo-font-audit report for this package

Comment 6 Rex Dieter 2009-12-23 21:18:19 UTC
SPEC: http://rdieter.fedorapeople.org/rpms/jsmath-fonts/jsmath-fonts.spec
SRPM:
http://rdieter.fedorapeople.org/rpms/jsMath-fonts/jsmath-fonts-20090708-2.fc12.src.rpm  

%changelog
* Wed Dec 23 2009 Rex Dieter <rdieter@fedoraproject.org> 20090708-2
- use simple template

Comment 7 Nicolas Mailhot 2010-02-22 18:21:47 UTC
Thanks

I freely admit I fail to be excited about this package, but there's probably little that can be done given the context

䷷䷷䷷ APPROVED ䷷䷷䷷

⇒ reassiging

Comment 8 Rex Dieter 2010-02-23 19:50:06 UTC
New Package CVS Request
=======================
Package Name: jsmath-fonts
Short Description: A collection of Math symbol fonts
Owners: rdieter
Branches: EL-5 F-11 F-12
InitialCC:

Comment 9 Jason Tibbitts 2010-02-23 19:58:24 UTC
This review ticket is assigned to the person submitting it, which points to
potential weirdness that I'd like to figure out before doing CVS.  What's going
on here?

Comment 10 Jason Tibbitts 2010-02-23 20:08:46 UTC
OK, checking the history (the CVS processing tool doesn't have a way to show that) I see that for whatever reason Nicholas reassigned this to Rex.  Please don't do that.  I've assigned it back and will take care of CVS now.

Comment 11 Jason Tibbitts 2010-02-23 20:10:30 UTC
CVS done (by process-cvs-requests.py).

I added an F-13 branch as well.

Comment 12 Fedora Update System 2010-03-21 16:39:08 UTC
jsmath-fonts-20090708-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/jsmath-fonts-20090708-2.fc13

Comment 13 Fedora Update System 2010-03-21 16:39:44 UTC
jsmath-fonts-20090708-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/jsmath-fonts-20090708-2.fc12

Comment 14 Fedora Update System 2010-03-23 23:34:15 UTC
jsmath-fonts-20090708-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update jsmath-fonts'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/jsmath-fonts-20090708-2.fc12

Comment 15 Fedora Update System 2010-03-23 23:37:52 UTC
jsmath-fonts-20090708-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update jsmath-fonts'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/jsmath-fonts-20090708-2.fc13

Comment 16 Fedora Update System 2010-03-30 02:13:47 UTC
jsmath-fonts-20090708-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2010-04-09 04:26:37 UTC
jsmath-fonts-20090708-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.